## ros-rolling-canopen-ros2-controllers 0.2.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)
project(canopen_ros2_controllers)

# find dependencies
set(THIS_PACKAGE_INCLUDE_DEPENDS
  canopen_402_driver
  canopen_interfaces
  canopen_proxy_driver
  controller_interface
  controller_manager
  hardware_interface
  pluginlib
  rclcpp
  rclcpp_lifecycle
  realtime_tools
  std_msgs
  std_srvs
)

find_package(ament_cmake REQUIRED)
foreach(Dependency IN ITEMS ${THIS_PACKAGE_INCLUDE_DEPENDS})
  find_package(${Dependency} REQUIRED)
endforeach()

add_library(
  ${PROJECT_NAME}
  SHARED
  src/canopen_proxy_controller.cpp
  src/cia402_device_controller.cpp
)

target_compile_features(${PROJECT_NAME} PUBLIC cxx_std_17)
target_include_directories(${PROJECT_NAME} PUBLIC
  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include/${PROJECT_NAME}>
)
ament_target_dependencies(${PROJECT_NAME} PUBLIC ${THIS_PACKAGE_INCLUDE_DEPENDS})

target_compile_definitions(${PROJECT_NAME} PRIVATE "CANOPEN_PROXY_CONTROLLER_BUILDING_DLL" "_USE_MATH_DEFINES")
pluginlib_export_plugin_description_file(controller_interface canopen_ros2_controllers.xml)

install(
  TARGETS
    ${PROJECT_NAME}
  RUNTIME DESTINATION bin
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  INCLUDES DESTINATION include
)

install(
  DIRECTORY include/
  DESTINATION include
)

if(BUILD_TESTING)
  find_package(ament_cmake_gmock REQUIRED)

  ament_add_gmock(test_load_canopen_proxy_controller test/test_load_canopen_proxy_controller.cpp)
  target_include_directories(test_load_canopen_proxy_controller PRIVATE include)
  ament_target_dependencies(
    test_load_canopen_proxy_controller
    controller_manager
    hardware_interface
    canopen_interfaces
  )

  ament_add_gmock(test_load_cia402_device_controller test/test_load_cia402_device_controller.cpp)
  target_include_directories(test_load_cia402_device_controller PRIVATE include)
  ament_target_dependencies(
    test_load_cia402_device_controller
    controller_manager
    hardware_interface
    canopen_interfaces
  )

  ament_add_gmock(test_load_cia402_robot_controller test/test_load_cia402_robot_controller.cpp)
  target_include_directories(test_load_cia402_robot_controller PRIVATE include)
  ament_target_dependencies(
    test_load_cia402_robot_controller
    controller_manager
    hardware_interface
    canopen_interfaces
  )

  ament_add_gmock(test_canopen_proxy_controller test/test_canopen_proxy_controller.cpp)
  target_include_directories(test_canopen_proxy_controller PRIVATE include)
  target_link_libraries(test_canopen_proxy_controller ${PROJECT_NAME})
  ament_target_dependencies(
    test_canopen_proxy_controller
    controller_interface
    hardware_interface
    canopen_interfaces
  )
endif()

ament_export_include_directories(
  include
)
ament_export_libraries(
  ${PROJECT_NAME}
)
ament_export_dependencies(
  ${THIS_PACKAGE_INCLUDE_DEPENDS}
)

ament_package()

=== debian/changelog ===
ros-rolling-canopen-ros2-controllers (0.2.7-1jammy) jammy; urgency=high

  * Correct Proxy controller after changes and update tests.
  * Contributors: Dr. Denis, Christoph Hellmann Santos

 -- Denis Stogl <denis@stoglrobotics.de>  Thu, 29 Jun 2023 22:00:00 -0000

ros-rolling-canopen-ros2-controllers (0.2.6-1jammy) jammy; urgency=high



 -- Denis Stogl <denis@stoglrobotics.de>  Fri, 23 Jun 2023 22:00:00 -0000

ros-rolling-canopen-ros2-controllers (0.2.5-1jammy) jammy; urgency=high



 -- Denis Stogl <denis@stoglrobotics.de>  Thu, 22 Jun 2023 22:00:00 -0000

ros-rolling-canopen-ros2-controllers (0.2.4-1jammy) jammy; urgency=high



 -- Denis Stogl <denis@stoglrobotics.de>  Wed, 21 Jun 2023 22:00:00 -0000

ros-rolling-canopen-ros2-controllers (0.2.3-1jammy) jammy; urgency=high



 -- Denis Stogl <denis@stoglrobotics.de>  Wed, 21 Jun 2023 22:00:00 -0000

ros-rolling-canopen-ros2-controllers (0.2.2-1jammy) jammy; urgency=high



 -- Denis Stogl <denis@stoglrobotics.de>  Tue, 20 Jun 2023 22:00:00 -0000

ros-rolling-canopen-ros2-controllers (0.2.1-1jammy) jammy; urgency=high

  * Fix QoS build warning canopen_ros2_controllers
  * Don't use ros2_control_test_assets since not needed anymore. Add load tests for all controllers.
  * Contributors: Christoph Hellmann Santos, Denis Štogl, Vishnuprasad Prachandabhanu

 -- Denis Stogl <denis@stoglrobotics.de>  Tue, 20 Jun 2023 22:00:00 -0000

ros-rolling-canopen-ros2-controllers (0.2.0-1jammy) jammy; urgency=high

  * Created package
  * Contributors: Błażej Sowa, Christoph Hellmann Santos, Denis Štogl, Dr.-Ing. Denis Štogl, Lovro, livanov93

 -- Denis Stogl <denis@stoglrobotics.de>  Tue, 13 Jun 2023 22:00:00 -0000

=== debian/control ===
Source: ros-rolling-canopen-ros2-controllers
Section: misc
Priority: optional
Maintainer: Denis Stogl <denis@stoglrobotics.de>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-gmock <!nocheck>, ros-rolling-canopen-402-driver, ros-rolling-canopen-interfaces, ros-rolling-canopen-proxy-driver, ros-rolling-controller-interface, ros-rolling-controller-manager, ros-rolling-hardware-interface, ros-rolling-pluginlib, ros-rolling-rclcpp, ros-rolling-rclcpp-lifecycle, ros-rolling-realtime-tools, ros-rolling-std-msgs, ros-rolling-std-srvs, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-canopen-ros2-controllers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-canopen-402-driver, ros-rolling-canopen-interfaces, ros-rolling-canopen-proxy-driver, ros-rolling-controller-interface, ros-rolling-controller-manager, ros-rolling-hardware-interface, ros-rolling-pluginlib, ros-rolling-rclcpp, ros-rolling-rclcpp-lifecycle, ros-rolling-realtime-tools, ros-rolling-std-msgs, ros-rolling-std-srvs, ros-rolling-ros-workspace
Description: ros2_control controllers for ros2_canopen functionalities

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-canopen-ros2-controllers//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install
